<?php

namespace kasimi\migrationtest\migrations;

class m2_schema_fix extends \phpbb\db\migration\migration
{
	public static function depends_on()
	{
		return array(
			'\kasimi\migrationtest\migrations\m1_initial_schema',
		);
	}

	public function update_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'test_table'	=> array(
					'some_numbr',
				),
			),
			'add_columns'	=> array(
				$this->table_prefix . 'test_table'	=> array(
					'some_number'		=> array('UINT', 0),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'test_table'	=> array(
					'some_number',
				),
			),
			'add_columns'	=> array(
				$this->table_prefix . 'test_table'	=> array(
					'some_numbr'		=> array('UINT', 0),
				),
			),
		);
	}
}
